Get a single published document
GET
/api/v1/published/{channelId}/documents/{id}
const url = 'https://your-orimora-instance.example.com/api/v1/published/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-orimora-instance.example.com/api/v1/published/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Fetches one published document by its UUID. Authentication uses the same channel token as the list endpoint.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channelId
required
string format: uuid
id
required
Document UUID
string format: uuid
Document UUID
Responses
Section titled “Responses”Published document
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
title
required
string
emoji
required
string | null
text
required
Plain-text content
string | null
collectionId
required
string | null format: uuid
publishedAt
required
string format: date-time
updatedAt
required
string format: date-time
markdownText
Markdown body — only present when requested via channel format settings
string
Example generated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "emoji": "example", "text": "example", "collectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "publishedAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "markdownText": "example" }}Unauthorized
Media typeapplication/json
object
error
required
Human-readable error message
string
Example generated
{ "error": "example"}Token does not match the channel or document not in channel scope
Media typeapplication/json
object
error
required
Human-readable error message
string
Example generated
{ "error": "example"}Document not found or not published
Media typeapplication/json
object
error
required
Human-readable error message
string
Example generated
{ "error": "example"}